DRACO_ENCODER(1)

NAME
draco_encoder - compress 3D geometric meshes and point clouds

SYNOPSIS
draco_encoder -i input [-o output] [options]

DESCRIPTION
Draco is a format for efficient compression of 3D graphics data such as geometric meshes or point clouds. draco_encoder is the compression tool.

The following options are available:

-i input
    input file name in .ply or .obj format

-o output
    output file name

-qp value
    quantization bits for the position (default: 11)

-qt value
    quantization bits for the texture coordinates (default: 10)

-qn value
    quantization bits for the normal vector (default: 8)

-qg value
    quantization bits for any generic attribute (default: 8)

-cl value
    compression level from 0 to 10 (default: 7)

--skip attribute
    skip a given attribute (NORMAL, TEX_COORD, GENERIC)

--metadata
    use metadata to encode extra information in mesh files

-point_cloud
    force the input to be encoded as a point cloud

Negative quantization values will skip the specified attribute

SEE ALSO
draco_decoder(1), draco_transcoder(1)